.shadow-sm {
  box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.15) !important;
}

nlb-transaction-category-icon.budget-no-color-icon {
  i.category-icon {
    background-color: transparent;
    color: $nlbGreyColor;
  }
}

nlb-transaction-category-icon.smaller-category-icons i.category-icon {
  padding: 4px;
}

.budget-card-wrapper {
  bb-budget-card-chart-ui {
    bb-amount-ui,
    label {
      color: black !important;
    }
  }
  .card-body {
    min-height: 360px;
  }

  max-width: 100%;
  //min-width: 300px;
  min-width: 269px;

  .budget-card-options-btn {
    top: 0;
    position: absolute;
    right: 0;
    padding: 0 !important;
  }

  .budget-card-container {
    font-size: 20px;

    & > div {
      padding-top: 18px !important;
      color: $nlbDarkestGreyColor;
      font-family: 'Istok Web Regular', sans-serif;
      font-size: 22px;
    }

    bb-dropdown-menu-ui {
      .bb-dropdown-btn-group-wrapper {
        & > button {
          height: 48px;
          width: 48px;
          border-radius: 50%;
          min-width: 48px;
          //background-color: #f1e6e6;
          margin: 8px 8px;

          &:not(:disabled):not(.disabled):hover {
            background-color: $nlbLightGreyColor;
          }

          &:not(:disabled):not(.disabled):focus {
            text-decoration: none;
          }

          bb-icon-ui {
            margin: 0;
            font-weight: bold;
          }
        }
      }

      bb-icon-ui {
        i {
          font-size: 18px !important;
        }
      }

      .dropdown-menu {
        //height: 75px;
        width: 133px;
        border-radius: 6px;
        background-color: #ffffff;
        box-shadow: 0 0 1px 0 rgba(9, 30, 66, 0.31), 0 8px 16px -4px rgba(9, 30, 66, 0.25);
      }
    }
  }

  bb-icon-ui {
    color: black;
    margin-top: 5px;
    margin-right: 5px;

    i {
      font-size: 18px !important;
    }
  }

  ngx-charts-pie-chart {
    border-bottom: 1px solid $navigationDarkerGray;
  }

  bb-budget-card-info-ui {
    padding-top: 15px;
    font-family: 'Istok Web Regular', sans-serif;
    font-size: 18px;
    color: $nlbMainGreyColor;

    div {
      &.text-danger {
        color: inherit !important;
      }
    }

    bb-icon-ui {
      margin-top: 15px;

      i {
        padding: 3px;
        background-color: $nlbRedColor;
        border-radius: 50%;
        color: white;
        height: 23px;
        width: 23px;
        font-size: 14px !important;
      }
    }

    bb-amount-ui {
      color: $nlbRedColor;
      font-family: Roboto, sans-serif;
    }

    .budget-amount.text-dark {
      color: $nlbDarkestGreyColor !important;
    }
  }

  @include media-breakpoint-up(xl) {
    &:nth-child(3n) {
      padding-right: 0;
    }

    &:nth-child(3n + 1) {
      padding-left: 0;
    }
  }

  @media (min-width: 1024px) {
    &:nth-child(3n) {
      padding-right: 0;
    }

    &:nth-child(3n + 1) {
      padding-left: 0;
    }
  }

  @include media-breakpoint-down(md) {
    color: green;
    min-width: 336px;
    &:nth-child(2n) {
      padding-right: 0;
    }
    &:nth-child(2n-1) {
      padding-left: 0;
    }
  }

  @include media-breakpoint-down(sm) {
    //color: blue;
    padding: 0;
  }
}

.budget-header {
  color: $nlbDarkerGreyColor;
  font-family: 'Istok Web Regular', sans-serif;
  font-size: 24px;
  letter-spacing: 0.27px;
}

.budget-info-feedback {
  margin-left: 5px;
  font-size: 13px;
  font-family: Roboto, sans-serif;
  margin-top: 5px;
  color: $nlbMainGreyColor;

  i {
    font-size: 16px;
  }
}

.add-budget-modal {
  .amount-currency-group .amount-currency-group-input .disabled-input {
    padding: 10px 10px;
  }
}
